> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/datatype/predictprojectilepathresult.md).

# PredictProjectilePathResult

## Overview

PredictProjectilePathResult is a data type that contains the result data of projectile path prediction.

## Constructors

## Properties

### FoundHit

`boolean`

Indicates whether a collision occurred during path prediction.

#### Code Samples

### HitDistance

`number`

The distance from the launch start position to the collision point.

#### Code Samples

### HitInstance

`Instance`

The instance that was hit. Returns nil if no collision occurred.

#### Code Samples

### HitNormal

`Vector3`

The normal vector of the collision surface.

#### Code Samples

### HitPosition

`Vector3`

The world-space coordinates of the collision point.

#### Code Samples

### LastTraceDestination

`PredictProjectilePathPointData`

The data of the last traced path point.

#### Code Samples

### Location

`Vector3`

The last position reached by the projectile.

#### Code Samples

### PathDataArray

`Array`

An array containing PredictProjectilePathPointData for each point along the predicted path.

#### Code Samples

### Time

`number`

The time elapsed (in seconds) from launch to the last path point.

#### Code Samples

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/datatype/predictprojectilepathresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
